%define anolis_release 1
%define majmin %(echo %{version} | cut -d . -f -2)

Name:           libhandy
Version:        1.8.1
Release:        %{anolis_release}%{?dist}
Summary:        Building blocks for modern adaptive GNOME apps
License:        LGPLv2+

URL:            https://gitlab.gnome.org/GNOME/libhandy
Source0:        https://download.gnome.org/sources/libhandy/%{majmin}/libhandy-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gi-docgen
BuildRequires:  meson
BuildRequires:  vala
BuildRequires:	gettext

BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(gi-docgen) >= 2021.1
BuildRequires:  pkgconfig(gio-2.0) >= 2.44
BuildRequires:  pkgconfig(glib-2.0) >= 2.44
BuildRequires:  pkgconfig(gmodule-2.0) >= 2.44
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.24.1

%ifnarch aarch64
# Support graphical tests in non-graphical environment
BuildRequires:  xorg-x11-server-Xvfb
%endif

Obsoletes:      libhandy1 < 1.1.90-2
Conflicts:      libhandy1 < 1.1.90-2
Provides:       libhandy1 = %{version}-%{release}

%description
libhandy provides GTK+ widgets and GObjects to ease developing
applications for mobile phones.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Obsoletes:      libhandy1-devel < 1.1.90-2
Provides:       libhandy1-devel = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson -Dgtk_doc=true -Dexamples=false \
    -Dtests=true \
    -Dglade_catalog=disabled
%meson_build

%install
%meson_install

%find_lang libhandy

%check
%ifnarch aarch64
# No parallel test runs to try to avoid overwhellming Xvfb on some platforms
%define _smp_build_ncpus 1
%{shrink:xvfb-run -w 10 -d %meson_test}
%endif

%files -f libhandy.lang
%license COPYING
%doc AUTHORS
%doc HACKING.md
%doc NEWS
%doc README.md

%{_libdir}/girepository-1.0/
%{_libdir}/libhandy-1.so.0

%files devel
%{_includedir}/libhandy-1/

%{_libdir}/libhandy-1.so
%{_libdir}/pkgconfig/libhandy-1.pc

%{_datadir}/gir-1.0/
%doc %{_datadir}/doc/libhandy-1/
%{_datadir}/vala/


%changelog
* Sun Feb 5 2023 Funda Wang <fundawang@yeah.net> - 1.8.1-1
- New version 1.8.1

* Sat Dec 10 2022 Funda Wang <fundawang@yeah.net> - 1.8.0-2
- Remove glade support as glade is not maintained anymore

* Tue Dec 6 2022 Funda Wang <fundawang@yeah.net> - 1.8.0-1
- New version 1.8.0
- Disable test under aarch64 for its failure

* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.6.1-1
- Init from upstream version  1.6.1

